# fmri.hrf

## Module: `fmri.hrf`

## Functions

nitime.fmri.hrf.gamma_hrf(duration, A=1.0, tau=1.08, n=3, delta=2.05, Fs=1.0)

  A gamma function hrf model, with two parameters, based on [Boynton1996]

  Parameters:

    duration: float :

    > the length of the HRF (in the inverse units of the sampling rate)

    A: float :

    > a scaling factor, sets the max of the function, defaults to 1

    tau: float :

    > The time constant of the gamma function, defaults to 1.08

    n: int :

    > The phase delay of the gamma function, defaults to 3

    delta: float :

    > A pure delay, allowing for an additional delay from the onset of the time-series to the beginning of the gamma hrf, defaults to 2.05

    Fs: float :

    > The sampling rate, defaults to 1.0

  Returns:

    h: the gamma function hrf, as a function of time :

  Notes

  This is based on equation 3 in Boynton (1996):

  \[h(t) = \frac{(\frac{t-\delta}{\tau})^{(n-1)} e^{-(\frac{t-\delta}{\tau})}}{\tau(n-1)!}\]

  Geoffrey M. Boynton, Stephen A. Engel, Gary H. Glover and David J. Heeger (1996). Linear Systems Analysis of Functional Magnetic Resonance Imaging in Human V1. J Neurosci 16: 4207-4221

nitime.fmri.hrf.polonsky_hrf(A, B, tau1, f1, tau2, f2, t_max, Fs=1.0)

  HRF based on Polonsky (2000):

  \[H(t) = exp(\frac{-t}{\tau_1}) sin(2\cdot\pi f_1 \cdot t) -a\cdot exp(-\frac{t}{\tau_2})*sin(2\pi f_2 t)\]

  Alex Polonsky, Randolph Blake, Jochen Braun and David J. Heeger (2000). Neuronal activity in human primary visual cortex correlates with perception during binocular rivalry. Nature Neuroscience 3: 1153-1159